<%
// controller construct
if (viaService) {
    // beans.push({class: 'AnnouncementRecordService', instance: 'announcementRecordService'});
    // beans.push({class: 'AnnouncementRecordQueryService', instance: 'announcementRecordQueryService'});

} else {
    // service construct
    if (ormTool === 'hibernate') {
        beans.push({class: 'SmsSupplierRepository', instance: 'smsSupplierRepository'});
    }
    beans.push({class: 'SmsSupplierService', instance: 'smsSupplierService'});

}
%>
